## argparse-manpage 1.2.2

=== rpm/Makefile ===
PYTHON := python3
BUILD_HELPER := ./build-helper

VERSION = $(shell $(BUILD_HELPER) --version)
RELEASE = $(shell $(BUILD_HELPER) --release)
DATE = $(shell date +'%a %b %d %Y')
TARBALL = argparse-manpage-$(VERSION).tar.gz

all: argparse-manpage.spec argparse-manpage-$(VERSION).tar.gz

.PHONY: $(TARBALL)
$(TARBALL):
	rm -f $(TARBALL)
	( cd .. && git archive --prefix argparse-manpage-$(VERSION)/ HEAD ) \
	    | gzip > "$@"

argparse-manpage.spec: argparse-manpage.spec.tpl ../setup.py
	@echo "  GEN $@" ; \
	sed -e "s|@VERSION@|$(VERSION)|g" \
	    -e "s|@RELEASE@|$(RELEASE)|g" \
	    -e "s|@DATE@|$(DATE)|g" \
	    $< > $@.output ; \
	mv "$@.output" "$@" # move when successful

clean:
	rm -rf *.src.rpm *.tar.gz *.spec noarch

## argparse-manpage 1.1

=== debian/changelog ===
argparse-manpage (1.1-1) unstable; urgency=low

  * Initial upload. (Closes: #908697)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 12 Sep 2018 23:28:06 +0300

=== debian/control ===
Source: argparse-manpage
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists-alioth.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
X-Python3-Version: >= 3.6
Standards-Version: 4.2.0
Homepage: http://github.com/praiskup/argparse-manpage
Vcs-Git: https://salsa.debian.org/freeipa-team/argparse-manpage.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/argparse-manpage

Package: python3-argparse-manpage
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Automatically build a manpage from argparse
 Generate a manual page in an automatic way from an ArgumentParser object,
 so that the manpage matches to the automatically generated --help output.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=argparse-manpage
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf argparse_manpage.egg-info
	rm -rf build_manpages/__pycache__/
	rm -rf man

## argparse-manpage 1.2.2

=== debian/changelog ===
argparse-manpage (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.4.0.
  * control: Drop X-Python3-Version.
  * Bump debhelper to 12.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Sep 2019 09:33:21 +0300

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-six,
-X-Python3-Version: >= 3.6
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: http://github.com/praiskup/argparse-manpage
 Vcs-Git: https://salsa.debian.org/freeipa-team/argparse-manpage.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/argparse-manpage

=== debian/watch ===
version=3
https://github.com/praiskup/argparse-manpage/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## argparse-manpage 4.5

=== rpm/Makefile ===
--- 
+++ 
@@ -11,16 +11,27 @@
 .PHONY: $(TARBALL)
 $(TARBALL):
 	rm -f $(TARBALL)
-	( cd .. && git archive --prefix argparse-manpage-$(VERSION)/ HEAD ) \
-	    | gzip > "$@"
+	cd .. && python3 setup.py sdist && cp "dist/argparse-manpage-$(VERSION).tar.gz" rpm/
 
 argparse-manpage.spec: argparse-manpage.spec.tpl ../setup.py
 	@echo "  GEN $@" ; \
+	rm -f "$@.output" ; \
 	sed -e "s|@VERSION@|$(VERSION)|g" \
 	    -e "s|@RELEASE@|$(RELEASE)|g" \
 	    -e "s|@DATE@|$(DATE)|g" \
 	    $< > $@.output ; \
-	mv "$@.output" "$@" # move when successful
+	chmod 0444 "$@.output" ; \
+	mv -f "$@.output" "$@" # move when successful
+
+srpm: all
+	dir=`pwd` ; \
+	rm *.src.rpm ; \
+	rpmbuild --define "_sourcedir $$dir" \
+		 --define "_rpmdir    $$dir" \
+		 --define "_builddir  $$dir" \
+		 --define "_specdir   $$dir" \
+		 --define "_srcrpmdir $$dir" \
+	     -bs *.spec
 
 clean:
 	rm -rf *.src.rpm *.tar.gz *.spec noarch

=== debian/changelog ===
argparse-manpage (4.5-2) unstable; urgency=medium

  * control: Fix maintainer list address.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Feb 2024 07:04:08 +0200

argparse-manpage (4.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Timo Aaltonen ]
  * New upstream release. (Closes: #1031843, #1036963)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Feb 2024 07:00:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: argparse-manpage
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists-alioth.debian.net>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.4.0
-Homepage: http://github.com/praiskup/argparse-manpage
+Standards-Version: 4.6.1
+Homepage: https://github.com/praiskup/argparse-manpage
 Vcs-Git: https://salsa.debian.org/freeipa-team/argparse-manpage.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/argparse-manpage

=== debian/watch ===
version=4
https://github.com/praiskup/argparse-manpage/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## argparse-manpage 4.7

=== debian/changelog ===
argparse-manpage (4.7-1) unstable; urgency=medium

  * New upstream release. (Closes: #1125994)
  * control: Drop python3-six from build-depends. (Closes: #10645999)
  * watch: Updated.
  * control: Mark the deb as M-A: foreign. (Closes: #1124445)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Jan 2026 17:13:58 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  dh-python,
  python3-all,
  python3-setuptools,
- python3-six,
 Standards-Version: 4.6.1
 Homepage: https://github.com/praiskup/argparse-manpage
 Vcs-Git: https://salsa.debian.org/freeipa-team/argparse-manpage.git
@@ -16,6 +15,7 @@
 
 Package: python3-argparse-manpage
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends},
 Description: Automatically build a manpage from argparse
  Generate a manual page in an automatic way from an ArgumentParser object,

=== debian/watch ===
Version: 5

Source: https://github.com/praiskup/argparse-manpage/tags
Filename-Mangle: s/@ANY_VERSION@$/argparse-manpage_$1/
